#include "stdafx.h"

CString * g_pcLabel;
CString * g_pcComment;

// Message handler for about box.
LRESULT CALLBACK ListItem(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam){
	switch (message){
		case WM_INITDIALOG:
			SetWindowText( GetDlgItem( hDlg, IDC_EDTLABEL ), g_pcLabel->Buffer() );			
			SetWindowText( GetDlgItem( hDlg, IDC_EDTCOMMENT ), g_pcComment->Buffer() );			
			return TRUE;

		case WM_COMMAND:
			if( LOWORD(wParam)==IDCANCEL ) {
				EndDialog(hDlg, LOWORD(wParam));
				return TRUE;
				}
			if( LOWORD(wParam)==IDOK ) {
				CDlgEdit edtLabel;
				edtLabel.SetHandle( GetDlgItem(hDlg, IDC_EDTLABEL) );
				edtLabel.GetText( g_pcLabel );

				CDlgEdit edtComment;
				edtComment.SetHandle( GetDlgItem(hDlg, IDC_EDTCOMMENT) );
				edtComment.GetText( g_pcComment );
				
				EndDialog(hDlg, LOWORD(wParam));
				return TRUE;
				}
			break;
		}
		
	return FALSE;
	}

bool EditListItem( HWND hWndOwner, CString * pcLabel, CString * pcComment ) { 
	g_pcLabel=pcLabel;
	g_pcComment=pcComment;
	if( DialogBox( GetInstance( ), (LPCTSTR)IDD_EDITLISTITEM, hWndOwner, (DLGPROC)ListItem) != IDOK ) 
		return false;
	return true;
	}
